package com.ruoyi.project.affair.service;

import java.util.List;
import com.ruoyi.project.affair.domain.TOfficesupply;

/**
 * 办公用品管理Service接口
 * 
 * @author ruoyi
 * @date 2020-12-02
 */
public interface ITOfficesupplyService 
{
    /**
     * 查询办公用品管理
     * 
     * @param id 办公用品管理ID
     * @return 办公用品管理
     */
    public TOfficesupply selectTOfficesupplyById(String id);

    /**
     * 查询办公用品管理列表
     * 
     * @param tOfficesupply 办公用品管理
     * @return 办公用品管理集合
     */
    public List<TOfficesupply> selectTOfficesupplyList(TOfficesupply tOfficesupply);

    /**
     * 新增办公用品管理
     * 
     * @param tOfficesupply 办公用品管理
     * @return 结果
     */
    public int insertTOfficesupply(TOfficesupply tOfficesupply);

    /**
     * 修改办公用品管理
     * 
     * @param tOfficesupply 办公用品管理
     * @return 结果
     */
    public int updateTOfficesupply(TOfficesupply tOfficesupply);

    /**
     * 批量删除办公用品管理
     * 
     * @param ids 需要删除的办公用品管理ID
     * @return 结果
     */
    public int deleteTOfficesupplyByIds(String[] ids);

    /**
     * 删除办公用品管理信息
     * 
     * @param id 办公用品管理ID
     * @return 结果
     */
    public int deleteTOfficesupplyById(String id);
}
